openSUSE Security Update : cacti / cacti-spine (openSUSE-2020-1060)

high Nessus Plugin ID 138985

Language:

New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for cacti, cacti-spine fixes the following issues :

- cacti 1.2.13 :

- Query XSS vulnerabilities require vendor package update (CVE-2020-11022 / CVE-2020-11023)

- Lack of escaping on some pages can lead to XSS exposure

- Update PHPMailer to 6.1.6 (CVE-2020-13625)

- SQL Injection vulnerability due to input validation failure when editing colors (CVE-2020-14295, boo#1173090)

- Lack of escaping on template import can lead to XSS exposure

- switch from cron to systemd timers (boo#1115436) :

+ cacti-cron.timer

+ cacti-cron.service

- avoid potential root escalation on systems with fs.protected_hardlinks=0 (boo#1154087): handle directory permissions in file section instead of using chown during post installation

- rewrote apache configuration to get rid of .htaccess files and explicitely disable directory permissions per default (only allow a limited, well-known set of directories)

Solution

Update the affected cacti / cacti-spine packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1115436

https://bugzilla.opensuse.org/show_bug.cgi?id=1154087

https://bugzilla.opensuse.org/show_bug.cgi?id=1173090

Plugin Details

Severity: High

ID: 138985

File Name: openSUSE-2020-1060.nasl

Version: 1.4

Type: local

Agent: unix

Published: 7/27/2020

Updated: 6/3/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2020-14295

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.4

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.2

Temporal Score: 6.7

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:opensuse:15.1:*:*:*:*:*:*:*, cpe:2.3:o:novell:opensuse:15.2:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:cacti:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:cacti-spine:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:cacti-spine-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:cacti-spine-debugsource:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/25/2020

Vulnerability Publication Date: 4/29/2020

Exploitable With

Metasploit (Cacti color filter authenticated SQLi to RCE)

Reference Information

CVE: CVE-2020-11023, CVE-2020-11022, CVE-2020-13625, CVE-2020-14295